Targeting
List Targeting Attributes
Catalog of panel targeting attributes, searchable by name and filterable by category.
GET
/
api
/
public
/
v1
/
targeting-attributes
/
List Targeting Attributes
curl --request GET \
--url https://api.userintuition.ai/api/public/v1/targeting-attributes/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.userintuition.ai/api/public/v1/targeting-attributes/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.userintuition.ai/api/public/v1/targeting-attributes/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"qualification_id": 123,
"name": "<string>",
"category": "<string>",
"type": "<string>",
"question_text": "<string>",
"options": [
{
"option_id": 123,
"text": "<string>"
}
]
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Authenticate with an API key (prefixed ui_sk_) or a JWT token from the dashboard.
Query Parameters
Case-insensitive name search
Case-insensitive exact category filter
Response
Successful Response
Filterable catalog category, such as Demographics or Financial
Question input type used for this targeting attribute
Show child attributes
Show child attributes
Was this page helpful?
⌘I
List Targeting Attributes

